> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Marketplace

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /marketplace_listing/accounts/{account_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#get-a-subscription-plan-for-an-account) - Get a subscription plan for an account
* [`GET /marketplace_listing/plans`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-plans) - List plans
* [`GET /marketplace_listing/plans/{plan_id}/accounts`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-accounts-for-a-plan) - List accounts for a plan
* [`GET /marketplace_listing/stubbed/accounts/{account_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#get-a-subscription-plan-for-an-account-stubbed) - Get a subscription plan for an account (stubbed)
* [`GET /marketplace_listing/stubbed/plans`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-plans-stubbed) - List plans (stubbed)
* [`GET /marketplace_listing/stubbed/plans/{plan_id}/accounts`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-accounts-for-a-plan-stubbed) - List accounts for a plan (stubbed)
* [`GET /user/marketplace_purchases`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-subscriptions-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - List subscriptions for the authenticated user
* [`GET /user/marketplace_purchases/stubbed`](https://docs.github.com/enterprise-cloud@latest/rest/apps/marketplace#list-subscriptions-for-the-authenticated-user-stubbed) <Badge color="blue" size="sm">UAT</Badge> - List subscriptions for the authenticated user (stubbed)
